Bug 188081 - Review Request: pipenightdreams - Connect the waterpipes to create a proper pipeline
Review Request: pipenightdreams - Connect the waterpipes to create a proper p...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joost van der Sluis
Fedora Package Reviews List
:
: 188083 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-05 17:11 EDT by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-07 07:31:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-04-05 17:11:57 EDT
Spec Name or Url: http://home.zonnet.nl/jwrdegoede/pipenightdreams
SRPM Name or Url: http://home.zonnet.nl/jwrdegoede/pipenightdreams-0.10.0-1.src.rpm
Description:
PipeNightDreams is a game similar to the classic PipeDream. It has 25 levels
with increasing difficulty, and you can create your own by just editing
text files. It has a lot of cool graphics, score, lives, required pipes
per level and an easy and fast interface.
Comment 1 Hans de Goede 2006-04-05 17:20:28 EDT
*** Bug 188083 has been marked as a duplicate of this bug. ***
Comment 2 Joost van der Sluis 2006-04-06 07:11:04 EDT
I've reviewed the package and have one thing that should be fixed and one question.
What should be fixed is the difference in MD5-sum from the sources.

And then I have to review again.

The question is about the %post and %postun scripts. Where are these for, are
they really necessary? And don't they need a requirement?

Review for pipenightdreams

Must-items

- RPMLint doesn't give any output
- Package nams is according to the packaging name guidelines
- Spec file name matches the base package name
- Package meet the packaging guidelines
- License is GPL
- License matches actual license
- License file is included in %doc
- SPEC file is in American English
- Very clear specfile

- MUST FIX:
The source in the provided SRPM has the following MD5-sum:
 143995af21bad76a3b4dad46bcd8670f
while the upstream source file
http://www.libsdl.org/projects/pipenightdreams/packages/pipenightdreams-0.10.0.tar.gz
has as MD5-sum:
 f22f23649852f54cca43de775e691de6
Those doesn't match. Am I wrong, or did you use a different source file?

- Package successfully compiles and build into a binary package on i386
- I'm not aware of any problems on other Architectures
- The package doesn't contain buildrequirements which are on the exception list
- All necessary buildrequirements are listed
- No problems with locales
- There are no shares library files in the dynamic linker's default path, so no
ldconfig required
- The package isn't relocatable
- The package own all directories that it creates
- There are no duplicates in the %files listing
- Permissions are ok
- The %clean section containt rm -rf $RPM_BUILD_ROOT
- Macros are used consistently
- The code contains permissable content. The game-levels and some pictures.
- There is not much documentation what should go in a subpackage
- The files in the %doc aren't required for normal operation
- No header files or static libraries
- No .pc files
- No library .so files
- The -devel package requires the base package
- There are no libtool archives in the package
- There is a desktop-file which get properly installed

Should-items

- The package builds in mock
- The packages works ;) Although the game is not as easy as I thought. My
girlfriend's gonna like it.
Comment 3 Wart 2006-04-06 07:55:55 EDT
(In reply to comment #2)
> The question is about the %post and %postun scripts. Where are these for, are
> they really necessary? And don't they need a requirement?

This is used to update the gtk icon cache to speed up loading the icons for the
menu and other applications.  The .desktop file uses an icon that is placed in
this cache.

According to the ScriptletSnippets page, no dependencies should be added for
this standard scriptlet snippet:  http://fedoraproject.org/wiki/ScriptletSnippets


> - MUST FIX:
> The source in the provided SRPM has the following MD5-sum:
>  143995af21bad76a3b4dad46bcd8670f
> while the upstream source file
>
http://www.libsdl.org/projects/pipenightdreams/packages/pipenightdreams-0.10.0.tar.gz
> has as MD5-sum:
>  f22f23649852f54cca43de775e691de6
> Those doesn't match. Am I wrong, or did you use a different source file?

Interestingly enough, if you do a diff on the upstream and srpm tarballs, it
does claim that they differ.  The upstream tarball is 7 bytes smaller.  But if
you untar both tarballs and do a diff on their sources, they are identical.  ??
Comment 4 Hans de Goede 2006-04-06 08:18:13 EDT
I took the tarbal in my SRPM from the upstream SRPM:
[hans@guest-dhcp-088 ~]$ rpm -ivh Desktop/pipenightdreams-0.10.0-1.src.rpm 
   1:pipenightdreams        warning: user walde does not exist - using root
warning: group walde does not exist - using root
########################################### [100%]
[hans@guest-dhcp-088 ~]$ md5sum
/usr/src/redhat/SOURCES/pipenightdreams-0.10.0.tar.gz 
143995af21bad76a3b4dad46bcd8670f 
/usr/src/redhat/SOURCES/pipenightdreams-0.10.0.tar.gz
[hans@guest-dhcp-088 ~]$ md5sum Desktop/pipenightdreams-0.10.0.tar.gz 
f22f23649852f54cca43de775e691de6  Desktop/pipenightdreams-0.10.0.tar.gz
[hans@guest-dhcp-088 ~]$

So appereantly upstream put a different tarball but with identical contents in
their SRPM (which I used as a start, pretty worthless though).

I hope this explains the md5sum issue. I'll create a new SRPM before importing
using the upstream tarbal from:
http://www.libsdl.org/projects/pipenightdreams/packages/pipenightdreams-0.10.0.tar.gz
Instead of the (identical content) one from the upstream SRPM. Unfortunatly I
can't put this new tarbal on my homepage since I'm currently not behind a Pc
which has upload access to my homepage. So I have to ask you to trust me on this.
Comment 5 Hans de Goede 2006-04-06 18:33:05 EDT
New SRPM using the plain upstream tarbal instead of the upstream tarbal from the
upstream SRPM at: http://home.zonnet.nl/jwrdegoede/pipenightdreams-0.10.0-1.src.rpm

Now can we get this review moving forward please :)
Comment 6 Wart 2006-04-07 05:18:40 EDT
Perhaps this complaint should be pushed back upstream:  I can't seem to quit out
of the game except while the game is running.  to reproduce:  Start a game and
do nothing.  When you lose the screen will prompt you to press <enter> to
continue.  Press <esc> instead.  Nothing happens.  Press the "x" window manager
decoration to kill the window.  Nothing happens.  I would expect that either of
these would quit the game, but they don't.  Now press <enter> and let the game
restart.  Before it stops again, press <esc>.  Now the game returns to the
splash screen where you can press <esc> again to quit.
Comment 7 Hans de Goede 2006-04-07 05:23:44 EDT
Michael (wart@...),

Yeah I noticed that too, I don't know how alive upstream is though. I'll take a
look at this and fix it myself, this should be pretty trivial. But not right now
as I have todo things for like erm *work* .
Comment 8 Joost van der Sluis 2006-04-07 06:40:00 EDT
About the scriptlets, these were new to me. Thanks for the answers.

And i've looked at the new srpm, and ik looks ok to me.
Comment 9 Hans de Goede 2006-04-07 07:31:57 EDT
Thanks!

Imported, build, FC-4 and FC-5 branches requested, added to owners.list, removed
from packages being packaged list on SIGs/Games wiki page, added to games I've
packaged on my wiki page. Once the FC-5 branch is there and build I'll also add
it to comps. Phew, anyone feel like automating this?

Michael, can you create a seperate bug for the ESC and alt-F4 not working
problem, then I'll leave that open untill I've got some more time.

Note You need to log in before you can comment on or make changes to this bug.